# AccountHub

AccountHub is a web application enabling secure self-serve account management.  Employees can change their password and manage other web apps they have access to with the dashboard.

## Features

* __2-factor authentication__
    * Allows users to setup both a password and an authentication device to add an extra layer of security.
* __Captcha support__
    * Prevents some types of attacks while legitimate users can simply click an image or answer a question to login.
* __Detailed security logs__
    * Records every login attempt, password change, invalid CAPTCHA, or other security-related activity, tracking client IP address and activity timestamp.
* __Easily-extendable dashboard__
    * Add additional dashboard widgets with as little as five lines of code, for easy access to and overviews of other applications.
* __Modern__
    * AccountHub uses the latest open web technology to provide a seamless, uniform user experience on phones, tablets, desktops, and laptops, from anywhere in the world.
* __For users and IT__
    * Users will appreciate how easy it is to manage their accounts, while tech support won't have as many login-related tickets to deal with.